Haketilo - Support #68

Prepare some screenshot documenting sites fixed using Hachette
07/28/2021 10:38 AM - koszko

Status: Closed Start date: 07/28/2021
Priority: Immediate Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

| thought we could attach some examples of fixed sites in an attachment to the appliction. What do you think about it, Jahoti? Ideally,
each of us would prepare screenshots showing his own fixes in action.

https://hachettebugs.koszko.org/projects/hachette/wiki/NLNet_application_for_UQOI_Call_August _2021#Attachments

History

#1 - 07/28/2021 11:09 AM - jahoti

I think it's a great idea! If we try and get as many browsers as possible too, and perhaps write some more (quick and dirty) fixes of various kinds, that
might help get the point across even better.

#2 - 07/28/2021 07:19 PM - koszko
- File phttps___drive.google.com_file_d___.json added

[...] and perhaps write some more (quick and dirty) fixes of various kinds, that might help get the point across even better.

How about the Google Drive download fix attached? :) Is curious/interested, you can test by going to some Google Drive link like
https://drive.google.com/file/d/0B5ImRpiNhCfGZDVhMGEYYmUtZTdmMy00YWEYLWEYMTQtN2E2YzM3MDg3MTZh/view

No support for directories, though - only single files.

#3 - 07/29/2021 09:21 AM - jahoti

That works really well!

Unforeseen circumstances meant | haven't done much on this so far, unfortunately; however, | will take some screenshots tomorrow and send them
through. | also have a few ideas for interface fixes and a fix for nasa.gov in the works, which I'll include if they can be completed fast enough.

#4 - 07/29/2021 03:38 PM - koszko

That works really well!
https://hachettebugs.koszko.org/projects/hachette/wiki/NLNet_application_for_UOI_Call_August_2021#Attachments
https://drive.google.com/file/d/0B5ImRpiNhCfGZDVhMGEyYmUtZTdmMy00YWEyLWEyMTQtN2E2YzM3MDg3MTZh/view

Surprising, isn't it?

One would expect that Google's CSP rule from http-equiv tag would be blocking our injected script - but it doesn't. And from your response it seems
this is true not only for UC but also for TorBrowser

#5 - 07/29/2021 07:33 PM - koszko

- File phttps___docs.google.com_spreadsheets_d___.json added

You might also want to look at my new Google sheets fix. The initial portion of the sheet that is served as HTML is scrollable now and there are
buttons to download the current sheet, as well as other sheets in the doc.

Here is a sample spreadsheet to test on:
https://docs. le.com/spreadsheets/d/1yJPW6SIH4pliWL9ZQ_q8tEubxF_ggnoBvZY1SDMdckc

(it is used by one disabled guy to coordinate volunteers who look after him; it is public anyway and has a few dozens sheets in it, that's why | chose it)

EDIT:

e | boost security by having a uBlock + Hachette setup. uBlock seems to be forcing tag contents to be visible. | know LibredS and NoScript do it
too. In case someone comes across the same issue | did - injected script failing to remove some javascript notice despite being able to remove it
successfully when run from console - consider removing all tags in a loop.

¢ We have some more suggestions what to fix first: https:/trisquel.info/en/forum/which-js-encumbered-sites-fix-first-place

e | got inspired by Nick and now place green buttons everywhere...

¢ Google Drive folders and Google Doc text documents are the next incredibely useful yet simple things we could write fixes for

#6 - 07/29/2021 10:14 PM - koszko

| started composing this attachment as a PDF. | will need to work on the styling, though (or you can do this if you want)

https://koszko.org/hachette-show-off.tar.xz

#7 - 07/30/2021 10:12 AM - jahoti

Those are looking good- nevertheless, I'll probably leave styling to you, seeing as | am terrible at it! File attachment here seems to be timing out for
me, so | will e-mail through all what I've got; while it might not be necessary, these are two purely interface fixes and some on LibreWolf.

#8 - 07/30/2021 12:00 PM - koszko

File attachment here seems to be timing out for me
Probably not really the matter of time. Apache log:

[Fri Jul 30 10:07:07.288392 2021] [fcgid:warn] [pid
_fcgid: HTITP request length 137856 (so far) exceeds
ko.org/issues/68/edit

[Fri Jul 30 10:07:28.479643 2021] [fcgid:warn] [pid
_fcgid: HTITP request length 137857 (so far) exceeds
ko.org/issues/68/edit

[Fri Jul 30 10:09:10.771009 20211 [fcgid:warn] [pid
_fcgid: HTITP request length 137857 (so far) exceeds

ko.org/issues/68/edit

[client <hidden by koszko>] mod
https://hachettebugs.kosz

29218:tid 139757363361536]
MaxRequestLen (131072), referer:

[client <hidden by koszko>] mod
https://hachettebugs.kosz

29217:tid 139757329790720]
MaxRequestLen (131072), referer:

[client <hidden by koszko>] mod
https://hachettebugs.kosz

29218:tid 139757422110464]
MaxRequestLen (131072), referer:

| had the same issue when uploading tarball with screenshots. It's clearly a matter of web server configuration, but that's not a priority for me, so we

can stick to alternative methods for now.

Thank you for these :)

#9 - 07/30/2021 06:23 PM - koszko
- % Done changed from 0 to 90

- Status changed from New to In Progress

#10 - 07/30/2021 06:23 PM - koszko
What do you think of the pdf in its current form?

https://koszko.org/preview.pdf

EDIT: Also, | put all the fixes in a git repo: https://git.koszko.org/hachette_fixes_tmp

#11 - 07/30/2021 06:29 PM - koszko
- File deleted (phttps___drive.google.com_file_d___.json)

#12 - 07/30/2021 06:29 PM - koszko
- File deleted (phttps___docs.google.com_spreadsheets_d ___.json)

#13 - 07/30/2021 10:49 PM - jahoti

What do you think of the pdf in its current form?
https://koszko.org/preview.pdf
https://git.koszko.org/hachette_fixes_tmp

It genuinely looks amazing, and the summaries are really effective!
There are only really two small changes | can suggest, which | can make if you want assuming you have the source code somewhere (LaTeX?):

e Perhaps note somewhere that the fixes are in https:/git.koszko.org/hachette_fixes_tmp, just in case they want to test.
¢ Artificial page breaks might help in some places to stop paragraphs/sections being broken across lines.

(Typos aren't really an issue; while I'm happy to proofread if you want, nothing is really noticeable or impedes meaning.)

#14 - 07/30/2021 10:56 PM - koszko

There are only really two small changes | can suggest, which | can make if you want

Go on with all you suggested. It's once again https:/koszko.org/hachette-show-off.tar.xz

#15 - 07/30/2021 11:31 PM - jahoti

One would expect that Google's CSP rule from http-equiv tag would be blocking our injected script - but it doesn't.

Are you sure it's not ours?

Probably not really the matter of time. Apache log: [snip]

Ah, that makes sense. At least now we know for future :).

| had the same issue when uploading tarball with screenshots. It's clearly a matter of web server configuration, but that's not a priority for me, so
we can stick to alternative methods for now.

Agreed; there's unlikely to be many occasions that require uploading 4MB tarballs anyway.
#16 - 07/31/2021 02:24 AM - koszko

One would expect that Google's CSP rule from http-equiv tag would be blocking our injected script - but it doesn't.

Are you sure it's not ours?

Now that | check - it must have been. Although | remember considering it and deciding it's not, based on it looking different from what | expected...
Anyway, must have been a mistake of mine [I[]

#17 - 07/31/2021 02:32 AM - jahoti

- File preview.tex added

While applying the modifications, | also made some changes to try and differentiate the examples:
e Removing the bandcamp and sumofus examples.
¢ Making losedows phone exchange the main stackexchange example, and then using ask ubuntu to show how Hachette can easily be used to
apply the same fix on different domains (would that need a settings screenshot too?).
e Emphasising accessibility with stallman.org (the site as-is doesn't use semantic HTML and abuses headings as large text)
Feel free to change any of these things or to ask me to do it.

Anyway, must have been a mistake of mine [l

Or maybe an engineer at Google got bored and started injecting random, non-functional headers into pages just to see if anyone noticed :).

#18 - 07/31/2021 12:22 PM - koszko

Making losedows phone exchange the main stackexchange example, and then using ask ubuntu to show how Hachette can easily be used to
apply the same fix on different domains (would that need a settings screenshot too?).
| don't think this is needed.

How do you think - should I try to include the Odysee fix in the preview in case | finish it today?

#19 - 07/31/2021 12:31 PM - jahoti

- File preview.tex added

| don't think this is needed.

OK- I've stripped that out entirely and just left the ask ubuntu (is that what you meant?).

How do you think - should | try to include the Odysee fix in the preview in case | finish it today?

Yes yes yes! In fact, according to https:/ninet.nl/foundation/request/application.html, the first selection round will take at least a week, which means
they won't even be trying the fixes until at least then (probably in two weeks). We have plenty of time to clean them up.

#20 - 07/31/2021 12:36 PM - jahoti

- File deleted (preview.tex)

#21 - 07/31/2021 01:16 PM - koszko

| don't think this is needed.

OK- I've stripped that out entirely and just left the ask ubuntu (is that what you meant?).

No, it's not what | meant :D

| was referring to "would that need a settings screenshot too". | meant an additional settings screenshot is not needed.

But perhaps leaving it with just "Ask Ubuntu' is not a bad idea? We could just leave a short notice that this also works for other *.stackexchange sites.
Seems NLnet appreciates brevity (and this is also why | asked about Odysee fix).

Btw, | noticed my Mozilla browsers crash on every attempt to play a video. This happens regardless of whether Hachette is on. They are both
outdated, though. Could you please test the partial Odysee fix with with TBB and LeW? See if you can view the video at
https://odysee.com/@osiixy:4/Big-Buck-Bunny-60fps-4K---Official-Blender-Foundation-Short-Film:5
#22 - 07/31/2021 10:52 PM - jahoti

No, it's not what | meant :D

| was referring to "would that need a settings screenshot too". | meant an additional settings screenshot is not needed.

But perhaps leaving it with just *Ask Ubuntu' is not a bad idea? We could just leave a short notice that this also works for other *.stackexchange
sites. Seems NLnet appreciates brevity (and this is also why | asked about Odysee fix).

Ohhh- I'll revert this now, lest we resubmit (if we still have time it's not a bad ideal)- it's just a picture, which they can skip if they want.

| still think Odyssey is a good idea, as it's a "complex" API-based fix by the looks of it. That's something we don't really have otherwise, and proves
this isn't just another userscript manager.

Btw, | noticed my Mozilla browsers crash on every attempt to play a video. This happens regardless of whether Hachette is on. They are both
outdated, though. Could you please test the partial Odysee fix with with TBB and LeW? See if you can view the video at
https://odysee.com/@osiixy:4/Big-Buck-Bunny-60fps-4K---Official-Blender-Foundation-Short-Film:5

I'll do this right now.

#23 - 07/31/2021 11:07 PM - koszko

I'll do this right now.

No need to hurry - | already have a screenshot sufficient for the preview.

| would be entertained if it turned out the crashes are related to ARM. Or to running in a chroot :)

#24 - 07/31/2021 11:15 PM - jahoti

You did it- it works! Technically the video never actually played on TBB, given how painfully slow the network is, yet the fact that it was loading and
one frame did actually show up seems sufficient evidence.
https://odysee.com/@osiixy:4/Big-Buck-Bunny-60fps-4K---Official-Blender-Foundation-Short-Film:5

| would be entertained if it turned out the crashes are related to ARM. Or to running in a chroot :)

If it is, please share ;).

#25 - 07/31/2021 11:19 PM - jahoti

- File preview.tex added

Oh, and- while it's definitely not relevant for the preview- I'm working on pcspecialist.co.uk.

(the reverted LaTeX file is attached too, if needed)

#26 - 07/31/2021 11:24 PM - koszko

You did it- it works!

In case you want to devote some time to improve this fix, here[1] is one video page that doesn't work. | assume it is because of unicode emojis in
video name. The link is correct - | generated it using both the original app and my own search interface.

Oh, and- while it's definitely not relevant for the preview- I'm working on pcspecialist.co.uk.

Great! | think it is now more relevant than improving Odysee (which we will do later anyway).
And thanks for re-uploading the tex file. | already pdftk'd the resumes into one. Re-submitting

[1] https://odysee.com/@Evelyndoy:4/funny-bunny-%F0%9F%90%B0-%F0%9F %92%97:f

#27 - 08/01/2021 02:18 AM - jahoti

In case you want to devote some time to improve this fix, here[1] is one video page that doesn't work. | assume it is because of unicode emojis in
video name.
https://odysee.com/@EvelynJoy:4/funny-bunny-%F0%9F%90%B0-%F0%9F%92%97:f

If only- it seems for some reason Odyssey isn't embedding the schema in that page, which means there's nothing to parse the link from. They must
be using a distinct API to load the videos.

#28 - 08/02/2021 12:26 AM - koszko

They must be using a distinct API to load the videos.

Anyway, we only need video name and the first hex digit of its claim id to construct the stream url. We can extract those from page url. For the bunny
example, the video url would be:
https://cdn.lbryplayer.xyz/content/claims/funny-bunny-%F0%9F%90%B0-%F0%9F%92%97/f/stream

Also, in my fix, when jsonrpc request is made, a list of Ibry urls containing video names and claim id's gets sent to the API server. It turns out the claim
id can in such case be replaced with just its first hex digit and it still works. With name and claim id's first digit extracted from the url, we can actually
use the very same jsonrpc api to fetch the missing video details like title, description and upload date

#29 - 08/02/2021 11:14 AM - jahoti
- % Done changed from 90 to 100

I've left work on the Odyssey fix to you, on the assumption that you were working on it- sorry if | was misunderstanding that- and have instead been
trying to make sure the layout "fix" for stallman.org does actually help with accessibility, as well as extending it to NASA.

Also, I've now got an account on the Trisquel forum, not that it will actually get used all that often :).

#30 - 08/02/2021 01:18 PM - koszko

- Status changed from In Progress to Closed

I've left work on the Odyssey fix to you, on the assumption that you were working on it

Correct assumption. | should've stated that explicitly

have instead been trying to make sure the layout "fix" for stallman.org does actually help with accessibility, as well as extending it to NASA.

What do you mean by "extending it to NASA"?
https://cdn.lbryplayer.xyz/content/claims/funny-bunny-%F0%9F%90%B0-%F0%9F%92%97/f/stream

#31 - 08/02/2021 11:38 PM - jahoti

Correct assumption [that I'm working on Odyssey]. | should've stated that explicitly

That's OK- it would have been a good learning experience anyway!

have instead been trying to make sure the layout "fix" for stallman.org does actually help with accessibility, as well as extending it to NASA.
What do you mean by "extending it to NASA"?

That was objectively horrible wording- sorry! | meant creating a fix for nasa.gov (which doesn't render without JS), using the layout constructor that
builds the stallman.org and abc.net.au alternative interfaces.

Files
preview.tex 5.62 KB 07/31/2021 jahoti
preview.tex 5.83 KB 07/31/2021 jahoti
